javax.swing.plaf.basic

## Class BasicBorders

- java.lang.Object
- - javax.swing.plaf.basic.BasicBorders

    public class BasicBorders
    extends Object

Factory object that can vend Borders appropriate for the basic L & F.

### Nested Class Summary

Nested Classes
`static class` `BasicBorders.ButtonBorder`
`static class` `BasicBorders.FieldBorder`
`static class` `BasicBorders.MarginBorder`
`static class` `BasicBorders.MenuBarBorder`
`static class` `BasicBorders.RadioButtonBorder`
`static class` `BasicBorders.RolloverButtonBorder` Special thin border for rollover toolbar buttons.
`static class` `BasicBorders.SplitPaneBorder` Draws the border around the splitpane.
`static class` `BasicBorders.ToggleButtonBorder`

### Constructor Summary

Constructors
Constructor and Description
`BasicBorders()`

### Method Summary

Methods
`static Border` `getButtonBorder()`
`static Border` `getInternalFrameBorder()`
`static Border` `getMenuBarBorder()`
`static Border` `getProgressBarBorder()`
`static Border` `getRadioButtonBorder()`
`static Border` `getSplitPaneBorder()`
`static Border` `getSplitPaneDividerBorder()` Returns a border instance for a JSplitPane divider
`static Border` `getTextFieldBorder()`
`static Border` `getToggleButtonBorder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicBorders

    public BasicBorders()

### Method Detail

#### getButtonBorder

    public static Border getButtonBorder()

#### getRadioButtonBorder

    public static Border getRadioButtonBorder()

#### getToggleButtonBorder

    public static Border getToggleButtonBorder()

#### getMenuBarBorder

    public static Border getMenuBarBorder()

#### getSplitPaneBorder

    public static Border getSplitPaneBorder()

#### getSplitPaneDividerBorder

    public static Border getSplitPaneDividerBorder()

Returns a border instance for a JSplitPane divider

Since:
  1.3

#### getTextFieldBorder

    public static Border getTextFieldBorder()

#### getProgressBarBorder

    public static Border getProgressBarBorder()

#### getInternalFrameBorder

    public static Border getInternalFrameBorder()

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.